###############################################################################
#
# Copyright (C) 2005-2006 IDA Software Technologies
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
###############################################################################


DatabaseToolName = 'rakun_dbtool'
DatabaseToolMetaType = 'Database Tool'


ApplicationToolName = 'rakun_applications'
ApplicationToolMetaType = 'Application Tool'
ApplicationMetaType = 'Rakun Application'

MenuToolName = 'rakun_menu'
MenuToolMetaType = 'Rakun Menu Generation Tool'
MenuSeparatorMetaType = 'Rakun Menu Separator'
MenuItemMetaType = 'Rakun Menu Item'
SubMenuMetaType = 'Rakun Sub Menu'

RelationToolName = 'rakun_relationship'
RelationToolMetaType = 'Relation Tool'
Relation1MetaType = '1-1 Relationship'
RelationNMetaType = '1-N Relationship'

EntityMetaType = 'Rakun Entity'
InterfaceMetaType = 'Rakun Interface'
MasterDetailMetaType = 'Rakun Master-Detail Form'

i18ndomain = 'rakun'

addable_content_types = [{'action': 'manage_addProduct/OFSP/fileAdd'
                          ,'name': 'File'},
                         {'action': 'manage_addProduct/OFSP/methodAdd'
                          ,'name': 'DTML Method'},
                         {'action':'manage_addProduct/PythonScripts/pyScriptAdd'
                          ,'name': 'Script (Python)'}]


entity_default_text = '''
<tal:block define="absolute_url template/absolute_url;
                   entity       nocall:template;">
    <metal:block use-macro="here/entity_template/macros/master" />
</tal:block>
'''

interface_default_text = '''
<tal:block define="absolute_url template/absolute_url;
                   interface    nocall:template;">
    <metal:block use-macro="here/interface_template/macros/master" />
</tal:block>
'''

masterdetail_default_text = """ 
<tal:block define="absolute_url template/absolute_url;
                   masterdetail nocall:template;">
    <metal:block use-macro="here/master_detail_template/macros/master" />
</tal:block>
"""




from AccessControl import allow_class
RakunClasses = {}
def registerRakunClass(classname,  klass):
    RakunClasses[classname] = klass
    allow_class(klass)