###############################################################################
#
# Copyright (C) 2005-2006 IDA Software Technologies
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
###############################################################################

from Sql99 import Sql99, registerSqlClass
from Products.ZSQLMethods.SQL import SQL
 
class Mssql(Sql99):
  
  __implements__ = (Sql99.__implements__,)
  
  def fixFieldName(self,fieldid):
    return str(fieldid)
  
  def select(self,tables=[],fields=['*'],conds="",orderby=[],groupby=[],offset=0,limit=0):
    #if limit > 0:
    if 0:
      groupby = ','.join(groupby).strip() 
      orderby = ','.join(orderby).strip() or fields[0]
      fields = ','.join(fields)
      tables = ','.join(tables)
      conds = str(conds).strip()
      offset = (offset / limit)
      if offset < 0:
        offset = 1
      else:
        offset += 1
      query = "EXEC sp_genericPaging '%s','%s','%s','%s','%s',%s,%s" %(fields,tables,conds,groupby,orderby,limit,offset)
      return self.execQuery(query)
    else:
      return Sql99.select(self,tables,fields,conds,orderby,groupby)


#registerSqlClass('mssql',Mssql)