###############################################################################
#
# Copyright (C) 2005-2006 IDA Software Technologies
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
###############################################################################

import string
from AccessControl import allow_class
from Products.Rakun.Settings import registerRakunClass

# -*- backward compatibility -*-
from Condition import Condition, MCondition
registerRakunClass('Condition', Condition)
registerRakunClass('MCondition', MCondition)

from Functions import Max, Sum, Count, As, Average, Div, Add, ASC, DESC, Relation
registerRakunClass('Max', Max)
registerRakunClass('Sum', Sum)
registerRakunClass('Count', Count)
registerRakunClass('As', As)
registerRakunClass('Div', Div)
registerRakunClass('Add', Add)
registerRakunClass('ASC', ASC)
registerRakunClass('DESC', DESC)
registerRakunClass('Relation', Relation)
  
import Postgresql
allow_class(Postgresql.Postgresql)

import SQLite
allow_class(SQLite.SQLite)

import Mysql
allow_class(Mysql.Mysql)

import Mssql
allow_class(Mssql.Mssql)



