## Script (Python) "messages.js"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=*args
##title=
##

###############################################################################
#
# Copyright (C) 2005-2006 IDA Software Technologies
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
###############################################################################


print """
/* Rakun JavaScript interface i18n support messages */
var messages = new Object();\n
"""
message_count = 0
message_keys = context.js_message_keys
for msgid in context.js_message_keys.propertyIds():
    default_msg = getattr(message_keys,msgid) or msgid 
    msgstr = context.rakun_translate(msgid, default=default_msg, domain='rakun')    
    print "messages['%s'] = '%s';\n" %(msgid, msgstr)
    message_count += 1

print "// %s message translated" %message_count

print """
// i18n translate
function _(msgid) {
    return messages[msgid];
}  
"""

return printed